Package Details: vim-youcompleteme-git r2791.a3d02238-1

Git Clone URL: https://aur.archlinux.org/vim-youcompleteme-git.git (read-only, click to copy)
Package Base: vim-youcompleteme-git
Description: A code-completion engine for Vim
Upstream URL: https://ycm-core.github.io/YouCompleteMe/
Keywords: completion engine neovim vim ycm
Licenses: GPL3
Groups: vim-plugins
Submitter: thestinger
Maintainer: artafinde
Last Packager: artafinde
Votes: 162
Popularity: 1.55
First Submitted: 2013-02-05 21:32
Last Updated: 2021-04-10 12:53

Dependencies (21)

Sources (1)

Pinned Comments

artafinde commented on 2021-04-10 13:03

If you want to use system's abseil set the _use_system_abseil to ON - default is to download from internet during build.

Latest Comments

1 2 3 4 5 6 ... Next › Last »

artafinde commented on 2021-04-10 13:03

If you want to use system's abseil set the _use_system_abseil to ON - default is to download from internet during build.

artafinde commented on 2021-04-09 18:39

As a rough first cut use the version I just published - I'll work tomorrow on sorting out the dependencies.

staletic commented on 2021-04-09 18:35

@dviktor As of today, YCM depends on Abseil. The library us in AUR (maybe even in the official repos, not sure), but the PKGBUILD has not been updated.

EDIT: Also, the waitress dependency should be removed.

dviktor commented on 2021-04-09 18:12

got this error today:

[100%] Linking CXX shared library /tmp/buildcache/vim-youcompleteme-git/src/YouCompleteMe/third_party/ycmd/ycm_core.cpython-39-x86_64-linux-gnu.so
[100%] Built target ycm_core
==> Entering fakeroot environment...
==> Starting package()...
cp: cannot stat 'third_party/ycmd/ycm_core.so': No such file or directory
==> ERROR: A failure occurred in package().
    Aborting...

Herbort11 commented on 2021-02-25 15:10

EDIT: solved after a clean rebuild

Stopped working after clang updated to version 11.1.0-1.

Error log:

2021-02-25 15:49:42,345 - ERROR - libclang.so.11: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/usr/share/vim/vimfiles/third_party/ycmd/ycmd/utils.py", line 498, in ImportAndCheckCore
    ycm_core = ImportCore()
  File "/usr/share/vim/vimfiles/third_party/ycmd/ycmd/utils.py", line 489, in ImportCore
    import ycm_core as ycm_core
ImportError: libclang.so.11: cannot open shared object file: No such file or directory

It is looking for libclang.so.11, but with this clang version we have libclang.so.11.1.

wjhandley commented on 2021-02-18 23:43

After inspecting that error message, it seems like the advice on this page fixes the issue

https://github.com/archlinuxcn/repo/issues/319

wjhandley commented on 2021-02-18 23:26

Apologies @staletic -- I'd thought it looked similar to @David01's error, but you are right that it is different.

@artafinde -- yes, this error occurs after a clean build and fresh pacman update.

Error detected while processing function <SNR>80_PollServerReady:
line    7:
Traceback (most recent call last):
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
  File "/usr/share/vim/vimfiles/python/ycm/client/base_request.py", line 206, in Session
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
    return cls.session
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
AttributeError: type object 'BaseRequest' has no attribute 'session'
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
During handling of the above exception, another exception occurred:
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
Traceback (most recent call last):
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
  File "<string>", line 1, in <module>
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
  File "/usr/share/vim/vimfiles/python/ycm/youcompleteme.py", line 226, in CheckIfServerIsReady
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
    self._server_is_ready_with_cache = BaseRequest().GetDataFromHandler(
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
  File "/usr/share/vim/vimfiles/python/ycm/client/base_request.py", line 105, in GetDataFromHandler
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
    self.GetDataFromHandlerAsync( handler, timeout, payload ),
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
  File "/usr/share/vim/vimfiles/python/ycm/client/base_request.py", line 114, in GetDataFromHandlerAsync
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
    return BaseRequest._TalkToHandlerAsync(
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
  File "/usr/share/vim/vimfiles/python/ycm/client/base_request.py", line 171, in _TalkToHandlerAsync
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
    return BaseRequest.Session().get(
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
  File "/usr/share/vim/vimfiles/python/ycm/client/base_request.py", line 209, in Session
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
    from requests_futures.sessions import FuturesSession
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
ImportError: bad magic number in 'requests_futures': b'\x03\xf3\r\n'
Press ENTER or type command to continue
Error detected while processing function <SNR>80_PollServerReady:
line    7:
E858: Eval did not return a valid python object
Press ENTER or type command to continue

artafinde commented on 2021-02-18 12:07

@wjhandley Did you rebuild ycm after a recent pacman full upgrade?

staletic commented on 2021-02-18 09:39

@wjhandley It's useful to post entire errors, not just the first line.

wjhandley commented on 2021-02-18 09:12

I'm also still getting the error

Error detected while processing function <SNR>84_PollServerReady: line 7:

Has anybody found a solution to this?